<script setup lang="ts">
import FriendList from '~/components/FriendList.vue'

defineOptions({
  name: 'IndexPage',
})

const name = $ref('')

const router = useRouter()
const go = () => {
  if (name)
    router.push(`/hi/${encodeURIComponent(name)}`)
}
</script>

<template>
  <div>
    <div i-carbon-campsite text-4xl inline-block />
    <p>
      <a rel="noreferrer" href="https://github.com/antfu/vitesse-lite" target="_blank">
        Bygonz Vitesse Light Playground
      </a>
    </p>
    <p>
      <em text-sm op75>Local First History via Bygonz</em>
    </p>

    <div py-4 />

    <TheInput
      v-model="name"
      placeholder="Add a Friend..."
      autocomplete="false"
      @keydown.enter="go"
    />

    <div>
      <button
        class="m-3 text-sm btn"
        :disabled="!name"
        @click="go"
      >
        Go
      </button>
    </div>
    <Suspense>
      <FriendList />
    </Suspense>
  </div>
</template>
